use if ! ( grep { $_ eq '.' } @INC ), qw[lib .];
use lib 'inc';
use Devel::AssertOS qw[Linux];
# This Makefile.PL for Device-Chip-Adapter-Gpiod was generated by
# Dist::Zilla::Plugin::MakeMaker::Awesome 0.49.
# Don't edit it but the dist.ini and plugins used to construct it.

use strict;
use warnings;

use ExtUtils::MakeMaker;

use Alien::Base::Wrapper qw(Alien::libgpiod !export);

my %WriteMakefileArgs = (
  "ABSTRACT" => "Device::Chip::Adapter implementation for Linux GPIO character devices",
  "AUTHOR" => "Stephen Cavilia <sac\@atomicradi.us>",
  "CONFIGURE_REQUIRES" => {
    "Alien::libgpiod" => "v0.1.0",
    "ExtUtils::MakeMaker" => 0
  },
  "DISTNAME" => "Device-Chip-Adapter-Gpiod",
  "LICENSE" => "perl",
  "NAME" => "Device::Chip::Adapter::Gpiod",
  "PREREQ_PM" => {
    "Device::Chip" => "0.10"
  },
  "TEST_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0,
    "File::Spec" => 0,
    "Test::More" => 0
  },
  "VERSION" => "v0.1.0",
  "test" => {
    "TESTS" => "t/*.t"
  }
);

%WriteMakefileArgs = (
    %WriteMakefileArgs,
    Alien::Base::Wrapper->mm_args,
    XSMULTI => 1,
);

my %FallbackPrereqs = (
  "Device::Chip" => "0.10",
  "ExtUtils::MakeMaker" => 0,
  "File::Spec" => 0,
  "Test::More" => 0
);

unless ( eval { ExtUtils::MakeMaker->VERSION('6.63_03') } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);
